<?php

namespace Ulmus\Query;

class Limit extends Fragment {

    const SQL_TOKEN = "LIMIT";
    
    public int $order = 90;

    public int $limit = 0;
    
    public function set($limit) : self
    {
        $this->limit = $limit;
        
        return $this;
    }

    public function render() : string
    {
        return $this->renderSegments([
            static::SQL_TOKEN, $this->limit
        ]);
    }
}
