<?php

namespace Ulmus\Query;

class Offset extends Fragment {
    
    const SQL_TOKEN = "OFFSET";
    
    public int $order = 95;

    protected int $offset = 0;

    public function set($offset) : self
    {
        $this->offset = $offset;
        return $this;
    }

    public function render() : string
    {
        return $this->renderSegments([
            static::SQL_TOKEN, $this->offset,
        ]);
    }
}
